package com.maverick.sshd.sftp;

import java.io.IOException;

import com.maverick.sshd.Connection;
import com.maverick.sshd.platform.FileSystem;
import com.maverick.sshd.platform.FileSystemFactory;
import com.maverick.sshd.platform.PermissionDeniedException;

public class DirectFileSystemFactory implements FileSystemFactory {

	public FileSystem createInstance(Connection con, String protocolInUse)
			throws PermissionDeniedException, IOException {
		return new AbstractFileSystem(new DirectFileFactory(), con, protocolInUse);
	}

}
