package com.maverick.sshd.sftp;

import com.maverick.sshd.Connection;

public class DirectFileHomeFactory implements AbstractFileHomeFactory {
	public String getHomeDirectory(Connection con) {
		String os = System.getProperty("os.name");
		if(os.startsWith("Mac OS X"))
			return "/Users/" + con.getUsername();
		else if(os.startsWith("Windows"))
			return "/Documents and Settings/" + con.getUsername();
		else
			return "/home/" + con.getUsername();
	}
}